import mariadb
import json
from pathlib import Path
from time import perf_counter
from pprint import pprint

conn = mariadb.connect(
       user="root",
       password="root",
       host="localhost",
       port=3306,
    )

c = conn.cursor()
c.execute('USE imdb')

with open('enums.json', encoding='utf-8') as enums_f:
    enums = json.load(enums_f)
for key in enums:  # transform to lookup table for ids: enums['genre']['Comedy'] => genre.id
    enums[key] = {name: i for i, name in enumerate(enums[key], 1)}


for name, id_ in enums['character'].items():
    c.execute(f'INSERT INTO `character` (id, name) VALUES (?, ?)', (id_, name))
